Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.extension
Class UndefinedPropertyInfo

    java.lang.Object
      org.eclipse.birt.report.model.api.extension.UndefinedPropertyInfo

    public class UndefinedPropertyInfo

extends java.lang.Object

Class that provides the information for undefined properties set in extended items.

Field Summary
`protected java.lang.String` | `extensionVersion` Extension version of the extended-item.
`protected java.lang.String` | `propName` Name of the property.
`protected java.lang.Object` | `value` Value of the property.

Constructor Summary
`UndefinedPropertyInfo(java.lang.String name, java.lang.Object value, java.lang.String version)` Constructs the this information with property name, value and extension version.

Method Summary
`java.lang.String` | `getExtensionVersion()`
`java.lang.String` | `getPropName()`
`java.lang.Object` | `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propName

    protected java.lang.String propName

  Name of the property.

### value

    protected java.lang.Object value

  Value of the property.

### extensionVersion

    protected java.lang.String extensionVersion

  Extension version of the extended-item.

Constructor Detail

### UndefinedPropertyInfo

    public UndefinedPropertyInfo(java.lang.String name,
                                 java.lang.Object value,
                                 java.lang.String version)

  Constructs the this information with property name, value and extension version.

  Parameters:
    `name` -
    `value` -
    `version` -

Method Detail

### getPropName

    public java.lang.String getPropName()

  Returns:
    the propName

### getValue

    public java.lang.Object getValue()

  Returns:
    the value

### getExtensionVersion

    public java.lang.String getExtensionVersion()

  Returns:
    the extensionVersion

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.